APISettings
List API keys
List the workspace's API keys with their scopes and usage. Only the four-character preview is returned, never the key. Requires the admin scope.
GET
/settings/api-keyscurl -X GET "https://productlane.com/api/v2/settings/api-keys" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
application/json
Successful response
dataobject[]required
{
"data": [
{
"id": "string",
"label": "string",
"key_preview": "string",
"scopes": [
"string"
],
"last_used_at": "string",
"expires_at": "string",
"revoked_at": "string",
"created_at": "string"
}
]
}